import request from "@/utils/request";
const api = "/mosty-api/mosty-yjzl";
const api2 = "/mosty-api/mosty-wzzx";

/**
 * 车辆预警排名
 * @param {*} params
 * @returns
 */
 export const getCarYj = (params = {}) => {
  return request({
    url: api + "/yjzx/clyjpm",
    method: "GET",
    params
  });
};

/**
 * 各时段预警
 * @param {*} params
 * @returns
 */
 export const getGsdYj = (params = {}) => {
  return request({
    url: api + "/tbYjxx/gsdyj",
    method: "GET",
    params
  });
};

/**
 * 各派出所预警
 * @param {*} params
 * @returns
 */
 export const getPoliceYj = (params = {}) => {
  return request({
    url: api + "/yjzx/pcsyj",
    method: "GET",
    params
  });
};

/**
 * 感知源预警排名
 * @param {*} params
 * @returns
 */
 export const getGzyYj = (params = {}) => {
  return request({
    url: api + "/yjzx/gzyyjpm",
    method: "GET",
    params
  });
};

/**
 * 人员预警排名
 * @param {*} params
 * @returns
 */
 export const getManRankYj = (params = {}) => {
  return request({
    url: api + "/yjzx/ryyjpm",
    method: "GET",
    params
  });
};

/**
 * 预警列表
 * @param {*} params
 * @returns
 */
 export const getYjList = (params = {}) => {
  return request({
    url: api + "/tbYjxx/getPageList",
    method: "POST",
    data:params
  });
};

/**
 * 预警统计
 * @param {*} params
 * @returns
 */
 export const getYjTj = (params = {}) => {
  return request({
    url: api + "/yjzx/yjtj",
    method: "GET",
    params
  });
};

/**
 * 右侧预警统计
 * @param {*} params
 * @returns
 */
export const getYcYjTj = (params = {}) => {
  return request({
    url: api + "/yjzx/ycyjtj",
    method: "GET",
    params
  });
};

// 获取redis中的巡组的巡防轨迹信息 
export const getXfgj = (params = {}) => {
  return request({
    url: api2 + "/gxga/xfbb/getXfgj",
    method: "GET",
    params
  });
};
